#SingleInstance Force
SetWorkingDir %A_ScriptDir%
GridControl = 0
MarkerControl = 0

Global GridControl
Global MarkerControl

XXMoveScale = 216
YYMoveScale = 64

XXMarkCoord = 1
YYMarkCoord = 1

Gui, Margin, 32, 32

Gui Add, text, x216 y18 w100 h30 vMarkCoord,Marker At: 0
Gui Add, text, x326 y18 w400 h30 vMaptext,
Gui Add, Picture, x216 y64 w680 h680 vMap,%SelectedFile%
Gui Add, Picture, x216 y64 w683 h683 0x5000000E 0x6 Border +BackgroundTrans,
Gui Add, Picture, x216 y64 w680 h680 0x5000000E 0x6 Border +BackgroundTrans,grid - Copy.png
Gui Add, Picture, x216 y64 w32 h32 0x5000000E 0x6 Border +BackgroundTrans hide vGrinder,marker.png
Gui Add, Button, x34 y80 w75 h23 gLM, Load Map
Gui Add, Button, x34 y110 w95 h23 gGrid vgridder, Hide Grid
Gui Add, Button, x34 y140 w110 h32 gMarker vplacermark, Hide Place Marker
Gui Show, w906 h750, Project 2D Map Editor
Return

GuiEscape:
GuiClose:
    ExitApp

Right::
XXMoveScale+=32
GuiControl, Move, marker.png,X%XXMoveScale%
XXMarkCoord++
GuiControl,,MarkCoord,Marker At: %XXMarkCoord%/%YYMarkCoord% XY:%YYMoveScale%/%XXMoveScale%
return

Left::
XXMoveScale-=32
GuiControl, Move, marker.png,X%XXMoveScale%
XXMarkCoord--
GuiControl,,MarkCoord,Marker At: %XXMarkCoord%/%YYMarkCoord% XY:%YYMoveScale%/%XXMoveScale%
return

Up::
YYMoveScale-=32
GuiControl, Move, marker.png,Y%YYMoveScale%
YYMarkCoord--
GuiControl,,MarkCoord,Marker At: %XXMarkCoord%/%YYMarkCoord% XY:%YYMoveScale%/%XXMoveScale%
return

Down::
YYMoveScale+=32
GuiControl, Move, marker.png,Y%YYMoveScale%
YYMarkCoord++
GuiControl,,MarkCoord,Marker At: %XXMarkCoord%/%YYMarkCoord% XY:%YYMoveScale%/%XXMoveScale%
return

Marker:
MarkerControl++

IF (MarkerControl = 1)
{
GuiControl,hide,marker.png
GuiControl,,placermark, Show Place Marker
}
else
{	
GuiControl,show,marker.png
GuiControl,,placermark, Hide Place Marker
MarkerControl = 0
}
return

Grid:
GridControl++

IF (GridControl = 1)
{
GuiControl,hide,grid - Copy.png
GuiControl,,gridder, Show Grid

}
else
{	
GuiControl,show,grid - Copy.png
GuiControl,,gridder, Hide Grid
GridControl = 0
}
return


LM:
FileSelectFile, SelectedFile, 3,resources\images , Select a Map Laout, Map Lyout (*.png)
if SelectedFile =
    MsgBox, The user didn't select anything.
else

GuiControl,,Maptext,Map Loaded:`n%SelectedFile%
GuiControl,, Map,%SelectedFile%
return